Claromentis Infocapture API v1.0.0
Scroll down for code samples, example requests and responses. Select a language for code samples from the tabs above or the mobile navigation menu.
Rest API for Claromentis Infocapture
Base URLs:
Email: Discover Claromentis Web: Discover Claromentis
Projects
Infocapture projects
List projects
Method: GET
Path: /projects
List InfoCapture projects
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| limit | query | integer | false | The number of items to return |
| offset | query | integer | false | The number of items to offset results by |
| status | query | string | false | Project status filter. 'active', 'blocked', 'testing', or empty value for no filter. |
Enumerated Values
| Parameter | Value |
|---|---|
| status | 0 |
| status | 1 |
| status | 2 |
Example responses
200 Response
{
"data": [
{
"id": 123,
"name": "Issue tracker",
"description": "Software issue tracker system",
"status": {
"id": 1,
"name": "Active"
},
"project_icon": "glyphicons-notes-2",
"project_icon_color": "string",
"description_simple": "string",
"description_rich": "string",
"handle_incoming_mail": null,
"from_address": "user@example.com",
"statuses_enabled": null,
"assigned_enabled": null,
"likes_enabled": null,
"external_submission_enabled": null,
"issues_id_prefix": "EXAMPLE",
"codename": "string",
"primary_field": "string",
"plugin_name": "string",
"tags": [
"string"
],
"statuses": [
{
"code": "new",
"label": "New",
"description": "New ticket",
"color": "fff0f0",
"archives": null,
"archive_idle_time": 0
}
],
"url": "https://yourintranet.com/intranet/infocapture/project.php?project_id=123",
"issues_url": "https://yourintranet.com/api/infocapture/v1/projects/123/issues"
}
],
"pagination": {
"offset": 0,
"limit": 1,
"total": 100,
"prev": "string",
"next": "string"
}
}
The returned object was not found
{
"error": true,
"message": "Project not found",
"code": 404
}
{
"error": true,
"message": "Issue not found",
"code": 404
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | The list of projects | Inline |
| 401 | Unauthorized | Authentication is required | Inline |
| 404 | Not Found | The returned object was not found | Inline |
Response Schema
Status Code 200
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| » data | [Project] | false | none | [Project object] |
| »» id | integer | false | read-only | ID of the project |
| »» name | string | false | read-only | Project's name |
| »» description | string | false | read-only | Project's description, usually describing the purpose of the project |
| »» status | ProjectStatus | false | none | Project status |
| »»» id | integer | false | read-only | ID of the project's status |
| »»» name | string | false | read-only | Project's status name |
| »» project_icon | string | false | read-only | Project's icon |
| »» project_icon_color | string(color) | false | read-only | Project icon's hexadecimal color code |
| »» description_simple | string | false | read-only | Short project description |
| »» description_rich | string | false | read-only | Full project description |
| »» handle_incoming_mail | bool | false | read-only | Whether the project handles incoming emails for creating issues |
| »» from_address | string(email) | false | read-only | The "From" address to use for outbound emails for the project |
| »» statuses_enabled | bool | false | read-only | Whether the project has issue statuses enabled |
| »» assigned_enabled | bool | false | read-only | Whether the project's issues can be assigned to users |
| »» likes_enabled | bool | false | read-only | Whether likes are enabled for project issues |
| »» external_submission_enabled | bool | false | read-only | Whether external submissions from guest users are enabled for the project |
| »» issues_id_prefix | string | false | read-only | Prefix for issue IDs |
| »» codename | string | false | read-only | Project codename |
| »» primary_field | string,null | false | read-only | Primary field symname for the project's issues |
| »» plugin_name | string | false | read-only | InfoCapture plugin name |
| »» tags | [Tag] | false | read-only | Project's assigned tags |
| »» statuses | [IssueStatus] | false | read-only | Project's available issue statuses |
| »»» code | string | false | read-only | Issue status code |
| »»» label | string | false | read-only | Issue status label |
| »»» description | string | false | read-only | Issue status description |
| »»» color | string | false | read-only | Issue status's hexadecimal color code |
| »»» archives | bool | false | none | Whether issues in the status are archived automatically, after archive_idle_time days |
| »»» archive_idle_time | integer | false | none | Number of days after which issues in the status are archived |
| »» url | string | false | read-only | Project's web URL |
| »» issues_url | string | false | read-only | API URL for retrieving the project's issues |
| » pagination | object | false | none | Standard pagination object |
| »» offset | integer | false | read-only | The number of items results are offset by |
| »» limit | integer | false | read-only | The number of items returned |
| »» total | integer | false | read-only | The total number of items |
| »» prev | string,null | false | read-only | URL to the previous page of items |
| »» next | string,null | false | read-only | URL to the next page of items |
Status Code 401
Authentication is required
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| » error | boolean | false | read-only | The error flag |
| » message | string | false | read-only | The error message |
| » code | integer | false | read-only | The HTTP response status code |
Status Code 404
Response object when project or issue does not exist
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| » error | boolean | false | read-only | The error flag |
| » message | string | false | read-only | The error message |
| » code | integer | false | read-only | The HTTP response status code |
Get a project
Method: GET
Path: /projects/{projectID}
Get an InfoCapture project by ID
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| id | path | integer | true | Unique project ID |
Example responses
200 Response
{
"id": 123,
"name": "Issue tracker",
"description": "Software issue tracker system",
"status": {
"id": 1,
"name": "Active"
},
"project_icon": "glyphicons-notes-2",
"project_icon_color": "string",
"description_simple": "string",
"description_rich": "string",
"handle_incoming_mail": null,
"from_address": "user@example.com",
"statuses_enabled": null,
"assigned_enabled": null,
"likes_enabled": null,
"external_submission_enabled": null,
"issues_id_prefix": "EXAMPLE",
"codename": "string",
"primary_field": "string",
"plugin_name": "string",
"tags": [
"string"
],
"statuses": [
{
"code": "new",
"label": "New",
"description": "New ticket",
"color": "fff0f0",
"archives": null,
"archive_idle_time": 0
}
],
"url": "https://yourintranet.com/intranet/infocapture/project.php?project_id=123",
"issues_url": "https://yourintranet.com/api/infocapture/v1/projects/123/issues"
}
The returned object was not found
{
"error": true,
"message": "Project not found",
"code": 404
}
{
"error": true,
"message": "Issue not found",
"code": 404
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | The project returned by ID | Project |
| 401 | Unauthorized | Authentication is required | Inline |
| 404 | Not Found | The returned object was not found | Inline |
Response Schema
Status Code 401
Authentication is required
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| » error | boolean | false | read-only | The error flag |
| » message | string | false | read-only | The error message |
| » code | integer | false | read-only | The HTTP response status code |
Status Code 404
Response object when project or issue does not exist
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| » error | boolean | false | read-only | The error flag |
| » message | string | false | read-only | The error message |
| » code | integer | false | read-only | The HTTP response status code |
Issues
Infocapture issues in the project
List project issues
Method: GET
Path: /projects/{projectID}/issues
List a project’s issues by project ID
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| id | path | integer | true | Unique project ID |
| limit | query | integer | false | The number of items to return |
| offset | query | integer | false | The number of items to offset results by |
| reporter | query | array[integer] | false | Comma-separated list of reporter IDs to filter by |
| assignee | query | array[integer] | false | Comma-separated list of assignee users IDs to filter by |
| created_from | query | string | false | Filter from created date |
| last_modified | query | string(date) | false | Filter from modified date |
| archived | query | boolean | false | Only show archived issues (true), or unarchived issues (false). Show all issues when empty. |
| monitoring | query | boolean | false | Only show issues that the current user is monitoring |
| status | query | string | false | Issue status filter, if enabled for the project. Default project statuses are 'new', 'progress', and 'closed'. |
Example responses
200 Response
{
"data": [
{
"id": 0,
"iid": 123,
"id_prefixed": 123,
"project_id": 123,
"reporter": {
"id": 123,
"name": "John Doe",
"url": "https://yourintranet.com/api/people/v2/users/123"
},
"assigned": {
"id": 123,
"name": "John Doe",
"url": "https://yourintranet.com/api/people/v2/users/123"
},
"status": "new",
"traffic_light": "string",
"date_of_report": "2019-08-24T14:15:22Z",
"last_modified": "2019-08-24T14:15:22Z",
"fields": {
"test_field": "Test value"
},
"history": [
{
"id": 456,
"date": "2019-08-24T14:15:22Z",
"user": {
"id": 123,
"name": "John Doe",
"url": "https://yourintranet.com/api/people/v2/users/123"
},
"field": "Status",
"symname": "_status_",
"changes": {
"from": "New",
"to": "New"
}
}
],
"issue_url": "https://yourintranet.com/forms/api_test/view/1162",
"permalink": "https://yourintranet.com/intranet/infocapture/view_issue.php?id=6"
}
],
"pagination": {
"offset": 0,
"limit": 1,
"total": 100,
"prev": "string",
"next": "string"
}
}
The returned object was not found
{
"error": true,
"message": "Project not found",
"code": 404
}
{
"error": true,
"message": "Issue not found",
"code": 404
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | The list of issues from project | Inline |
| 401 | Unauthorized | Authentication is required | Inline |
| 404 | Not Found | The returned object was not found | Inline |
Response Schema
Status Code 200
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| » data | [Issue] | false | none | [Issue object] |
| »» id | integer | false | read-only | Unique issue ID |
| »» iid | integer | false | read-only | Internal issue ID, unique per-project |
| »» id_prefixed | string | false | read-only | Zero-padded unique issue ID (id), or prefixed internal issue ID (iid) if an issue prefix is set for its project |
| »» project_id | integer | false | read-only | ID of the project |
| »» reporter | User | false | none | Claromentis user |
| »»» id | integer | false | read-only | User ID |
| »»» name | string | false | read-only | User's full name |
| »»» url | string | false | none | People API URL for the user |
| »» assigned | User | false | none | Claromentis user |
| »» status | string | false | none | Issue status code, from a project's list of issue statuses |
| »» traffic_light | string,null | false | read-only | Issue's current traffic light |
| »» date_of_report | string(date-time) | false | read-only | Reported date |
| »» last_modified | string(date-time) | false | read-only | Last modified date |
| »» fields | object | false | none | Issue form data display values, keyed field symname |
| »» history | [IssueHistoryEntry] | false | read-only | Issue history entries |
| »»» id | integer | false | none | Unique ID of the issue history entry |
| »»» date | string(date-time) | false | none | Date-time of the history entry. |
| »»» user | User | false | none | Claromentis user |
| »»» field | string | false | none | Display name of the field that changed |
| »»» symname | string | false | none | Symname of the field that changed |
| »»» changes | object | false | none | Changes that occurred |
| »»»» from | string | false | none | Previous value |
| »»»» to | string | false | none | New value |
| »» issue_url | string | false | read-only | URL of the issue |
| »» permalink | string | false | read-only | Permanent issue URL |
| » pagination | object | false | none | Standard pagination object |
| »» offset | integer | false | read-only | The number of items results are offset by |
| »» limit | integer | false | read-only | The number of items returned |
| »» total | integer | false | read-only | The total number of items |
| »» prev | string,null | false | read-only | URL to the previous page of items |
| »» next | string,null | false | read-only | URL to the next page of items |
Status Code 401
Authentication is required
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| » error | boolean | false | read-only | The error flag |
| » message | string | false | read-only | The error message |
| » code | integer | false | read-only | The HTTP response status code |
Status Code 404
Response object when project or issue does not exist
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| » error | boolean | false | read-only | The error flag |
| » message | string | false | read-only | The error message |
| » code | integer | false | read-only | The HTTP response status code |
Get a project issue by internal ID
Method: GET
Path: /projects/{projectID}/issues/{issueIID}
Get a project issue by its project ID and internal issue ID
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| id | path | integer | true | Unique project ID |
| iid | path | integer | true | Internal issue ID (iid) within a project. |
Example responses
200 Response
{
"id": 0,
"iid": 123,
"id_prefixed": 123,
"project_id": 123,
"reporter": {
"id": 123,
"name": "John Doe",
"url": "https://yourintranet.com/api/people/v2/users/123"
},
"assigned": {
"id": 123,
"name": "John Doe",
"url": "https://yourintranet.com/api/people/v2/users/123"
},
"status": "new",
"traffic_light": "string",
"date_of_report": "2019-08-24T14:15:22Z",
"last_modified": "2019-08-24T14:15:22Z",
"fields": {
"test_field": "Test value"
},
"history": [
{
"id": 456,
"date": "2019-08-24T14:15:22Z",
"user": {
"id": 123,
"name": "John Doe",
"url": "https://yourintranet.com/api/people/v2/users/123"
},
"field": "Status",
"symname": "_status_",
"changes": {
"from": "New",
"to": "New"
}
}
],
"issue_url": "https://yourintranet.com/forms/api_test/view/1162",
"permalink": "https://yourintranet.com/intranet/infocapture/view_issue.php?id=6"
}
The returned object was not found
{
"error": true,
"message": "Project not found",
"code": 404
}
{
"error": true,
"message": "Issue not found",
"code": 404
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | The issue returned by ID | Issue |
| 401 | Unauthorized | Authentication is required | Inline |
| 404 | Not Found | The returned object was not found | Inline |
Response Schema
Status Code 401
Authentication is required
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| » error | boolean | false | read-only | The error flag |
| » message | string | false | read-only | The error message |
| » code | integer | false | read-only | The HTTP response status code |
Status Code 404
Response object when project or issue does not exist
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| » error | boolean | false | read-only | The error flag |
| » message | string | false | read-only | The error message |
| » code | integer | false | read-only | The HTTP response status code |
Issues
Infocapture issues
Get an issue
Method: GET
Path: /issues/{issueID}
Get an issue by its unique ID
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
| id | path | integer | true | Unique issue ID |
Example responses
200 Response
{
"id": 0,
"iid": 123,
"id_prefixed": 123,
"project_id": 123,
"reporter": {
"id": 123,
"name": "John Doe",
"url": "https://yourintranet.com/api/people/v2/users/123"
},
"assigned": {
"id": 123,
"name": "John Doe",
"url": "https://yourintranet.com/api/people/v2/users/123"
},
"status": "new",
"traffic_light": "string",
"date_of_report": "2019-08-24T14:15:22Z",
"last_modified": "2019-08-24T14:15:22Z",
"fields": {
"test_field": "Test value"
},
"history": [
{
"id": 456,
"date": "2019-08-24T14:15:22Z",
"user": {
"id": 123,
"name": "John Doe",
"url": "https://yourintranet.com/api/people/v2/users/123"
},
"field": "Status",
"symname": "_status_",
"changes": {
"from": "New",
"to": "New"
}
}
],
"issue_url": "https://yourintranet.com/forms/api_test/view/1162",
"permalink": "https://yourintranet.com/intranet/infocapture/view_issue.php?id=6"
}
The returned object was not found
{
"error": true,
"message": "Project not found",
"code": 404
}
{
"error": true,
"message": "Issue not found",
"code": 404
}
Responses
| Status | Meaning | Description | Schema |
|---|---|---|---|
| 200 | OK | The issue returned by ID | Issue |
| 401 | Unauthorized | Authentication is required | Inline |
| 404 | Not Found | The returned object was not found | Inline |
Response Schema
Status Code 401
Authentication is required
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| » error | boolean | false | read-only | The error flag |
| » message | string | false | read-only | The error message |
| » code | integer | false | read-only | The HTTP response status code |
Status Code 404
Response object when project or issue does not exist
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| » error | boolean | false | read-only | The error flag |
| » message | string | false | read-only | The error message |
| » code | integer | false | read-only | The HTTP response status code |
Schemas
Project
{
"id": 123,
"name": "Issue tracker",
"description": "Software issue tracker system",
"status": {
"id": 1,
"name": "Active"
},
"project_icon": "glyphicons-notes-2",
"project_icon_color": "string",
"description_simple": "string",
"description_rich": "string",
"handle_incoming_mail": null,
"from_address": "user@example.com",
"statuses_enabled": null,
"assigned_enabled": null,
"likes_enabled": null,
"external_submission_enabled": null,
"issues_id_prefix": "EXAMPLE",
"codename": "string",
"primary_field": "string",
"plugin_name": "string",
"tags": [
"string"
],
"statuses": [
{
"code": "new",
"label": "New",
"description": "New ticket",
"color": "fff0f0",
"archives": null,
"archive_idle_time": 0
}
],
"url": "https://yourintranet.com/intranet/infocapture/project.php?project_id=123",
"issues_url": "https://yourintranet.com/api/infocapture/v1/projects/123/issues"
}
Project object
Properties
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| id | integer | false | read-only | ID of the project |
| name | string | false | read-only | Project's name |
| description | string | false | read-only | Project's description, usually describing the purpose of the project |
| status | ProjectStatus | false | none | Project status |
| project_icon | string | false | read-only | Project's icon |
| project_icon_color | string(color) | false | read-only | Project icon's hexadecimal color code |
| description_simple | string | false | read-only | Short project description |
| description_rich | string | false | read-only | Full project description |
| handle_incoming_mail | bool | false | read-only | Whether the project handles incoming emails for creating issues |
| from_address | string(email) | false | read-only | The "From" address to use for outbound emails for the project |
| statuses_enabled | bool | false | read-only | Whether the project has issue statuses enabled |
| assigned_enabled | bool | false | read-only | Whether the project's issues can be assigned to users |
| likes_enabled | bool | false | read-only | Whether likes are enabled for project issues |
| external_submission_enabled | bool | false | read-only | Whether external submissions from guest users are enabled for the project |
| issues_id_prefix | string | false | read-only | Prefix for issue IDs |
| codename | string | false | read-only | Project codename |
| primary_field | string,null | false | read-only | Primary field symname for the project's issues |
| plugin_name | string | false | read-only | InfoCapture plugin name |
| tags | [Tag] | false | read-only | Project's assigned tags |
| statuses | [IssueStatus] | false | read-only | Project's available issue statuses |
| url | string | false | read-only | Project's web URL |
| issues_url | string | false | read-only | API URL for retrieving the project's issues |
Issue
{
"id": 0,
"iid": 123,
"id_prefixed": 123,
"project_id": 123,
"reporter": {
"id": 123,
"name": "John Doe",
"url": "https://yourintranet.com/api/people/v2/users/123"
},
"assigned": {
"id": 123,
"name": "John Doe",
"url": "https://yourintranet.com/api/people/v2/users/123"
},
"status": "new",
"traffic_light": "string",
"date_of_report": "2019-08-24T14:15:22Z",
"last_modified": "2019-08-24T14:15:22Z",
"fields": {
"test_field": "Test value"
},
"history": [
{
"id": 456,
"date": "2019-08-24T14:15:22Z",
"user": {
"id": 123,
"name": "John Doe",
"url": "https://yourintranet.com/api/people/v2/users/123"
},
"field": "Status",
"symname": "_status_",
"changes": {
"from": "New",
"to": "New"
}
}
],
"issue_url": "https://yourintranet.com/forms/api_test/view/1162",
"permalink": "https://yourintranet.com/intranet/infocapture/view_issue.php?id=6"
}
Issue object
Properties
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| id | integer | false | read-only | Unique issue ID |
| iid | integer | false | read-only | Internal issue ID, unique per-project |
| id_prefixed | string | false | read-only | Zero-padded unique issue ID (id), or prefixed internal issue ID (iid) if an issue prefix is set for its project |
| project_id | integer | false | read-only | ID of the project |
| reporter | User | false | none | Reporter user object |
| assigned | User | false | none | Assigned user to the issue |
| status | string | false | none | Issue status code, from a project's list of issue statuses |
| traffic_light | string,null | false | read-only | Issue's current traffic light |
| date_of_report | string(date-time) | false | read-only | Reported date |
| last_modified | string(date-time) | false | read-only | Last modified date |
| fields | object | false | none | Issue form data display values, keyed field symname |
| history | [IssueHistoryEntry] | false | read-only | Issue history entries |
| issue_url | string | false | read-only | URL of the issue |
| permalink | string | false | read-only | Permanent issue URL |
Project status
{
"id": 1,
"name": "Active"
}
Project status
Properties
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| id | integer | false | read-only | ID of the project's status |
| name | string | false | read-only | Project's status name |
Issue status
{
"code": "new",
"label": "New",
"description": "New ticket",
"color": "fff0f0",
"archives": null,
"archive_idle_time": 0
}
Issue status
Properties
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| code | string | false | read-only | Issue status code |
| label | string | false | read-only | Issue status label |
| description | string | false | read-only | Issue status description |
| color | string | false | read-only | Issue status's hexadecimal color code |
| archives | bool | false | none | Whether issues in the status are archived automatically, after archive_idle_time days |
| archive_idle_time | integer | false | none | Number of days after which issues in the status are archived |
IssueHistoryEntry
{
"id": 456,
"date": "2019-08-24T14:15:22Z",
"user": {
"id": 123,
"name": "John Doe",
"url": "https://yourintranet.com/api/people/v2/users/123"
},
"field": "Status",
"symname": "_status_",
"changes": {
"from": "New",
"to": "New"
}
}
Issue history entry
Properties
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| id | integer | false | none | Unique ID of the issue history entry |
| date | string(date-time) | false | none | Date-time of the history entry. |
| user | User | false | none | Acting user that caused the changes |
| field | string | false | none | Display name of the field that changed |
| symname | string | false | none | Symname of the field that changed |
| changes | object | false | none | Changes that occurred |
| » from | string | false | none | Previous value |
| » to | string | false | none | New value |
Tag
"string"
System tag
Properties
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| anonymous | string | false | none | System tag |
User
{
"id": 123,
"name": "John Doe",
"url": "https://yourintranet.com/api/people/v2/users/123"
}
Claromentis user
Properties
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| id | integer | false | read-only | User ID |
| name | string | false | read-only | User's full name |
| url | string | false | none | People API URL for the user |
Pagination
{
"offset": 0,
"limit": 1,
"total": 100,
"prev": "string",
"next": "string"
}
Standard pagination object
Properties
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| offset | integer | false | read-only | The number of items results are offset by |
| limit | integer | false | read-only | The number of items returned |
| total | integer | false | read-only | The total number of items |
| prev | string,null | false | read-only | URL to the previous page of items |
| next | string,null | false | read-only | URL to the next page of items |